---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libobjfree001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52460, symBinAddr: 0x7720, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x543A0, symBinAddr: 0x9660, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54790, symBinAddr: 0x9A50, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55730, symBinAddr: 0xA9F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55740, symBinAddr: 0xAA00, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _mem, symObjAddr: 0x6CE40, symBinAddr: 0x22100, symSize: 0x0 }
  - { offsetInCU: 0x7D8, offset: 0x7D8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51BA0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x7E3, offset: 0x7E3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51BA4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0x7EE, offset: 0x7EE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51BA8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0x833, offset: 0x833, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51D00, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x8AC, offset: 0x8AC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51DB8, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8CA, offset: 0x8CA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51DBC, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0x8E3, offset: 0x8E3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51DC0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8FC, offset: 0x8FC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51DC4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0x915, offset: 0x915, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51DC8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51DD0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51DE0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51DE8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51DF0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51DF8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8FEC, offset: 0x8FEC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51E00, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9006, offset: 0x9006, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51E08, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x90EC, offset: 0x90EC, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51E4C, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x910A, offset: 0x910A, size: 0x8, addend: 0x0, symName: __ZL7objfree, symObjAddr: 0x51E50, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9123, offset: 0x9123, size: 0x8, addend: 0x0, symName: __ZL4stor, symObjAddr: 0x51FCA, symBinAddr: 0x731A, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL11clsUnloaded, symObjAddr: 0x51E54, symBinAddr: 0x71D4, symSize: 0x0 }
  - { offsetInCU: 0x9189, offset: 0x9189, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51E58, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x91A2, offset: 0x91A2, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51E60, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x91F4, offset: 0x91F4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xBE0, symSize: 0x80 }
  - { offsetInCU: 0x9289, offset: 0x9289, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xB30, symSize: 0xB0 }
  - { offsetInCU: 0x92E4, offset: 0x92E4, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xA30, symSize: 0x100 }
  - { offsetInCU: 0x9577, offset: 0x9577, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xC60, symSize: 0xC0 }
  - { offsetInCU: 0x95C9, offset: 0x95C9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xD20, symSize: 0x220 }
  - { offsetInCU: 0x97AE, offset: 0x97AE, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xF40, symSize: 0xA0 }
  - { offsetInCU: 0x9861, offset: 0x9861, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xFE0, symSize: 0x110 }
  - { offsetInCU: 0x9957, offset: 0x9957, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x10F0, symSize: 0x150 }
  - { offsetInCU: 0x9AD4, offset: 0x9AD4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1240, symSize: 0x30 }
  - { offsetInCU: 0x9BB5, offset: 0x9BB5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1270, symSize: 0x150 }
  - { offsetInCU: 0x9DAD, offset: 0x9DAD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x13C0, symSize: 0x160 }
  - { offsetInCU: 0xA06D, offset: 0xA06D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1520, symSize: 0x4A0 }
  - { offsetInCU: 0xA2E0, offset: 0xA2E0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x19C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA4FB, offset: 0xA4FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1B70, symSize: 0xA0 }
  - { offsetInCU: 0xA5F6, offset: 0xA5F6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1C10, symSize: 0x20 }
  - { offsetInCU: 0xA62D, offset: 0xA62D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1C30, symSize: 0x20 }
  - { offsetInCU: 0xA664, offset: 0xA664, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1C50, symSize: 0x20 }
  - { offsetInCU: 0xA7D3, offset: 0xA7D3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1C70, symSize: 0x1A0 }
  - { offsetInCU: 0xAAEF, offset: 0xAAEF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x1E10, symSize: 0x130 }
  - { offsetInCU: 0xAC9F, offset: 0xAC9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1F40, symSize: 0x80 }
  - { offsetInCU: 0xAD68, offset: 0xAD68, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1FC0, symSize: 0x6A0 }
  - { offsetInCU: 0xB8FD, offset: 0xB8FD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA900, symBinAddr: 0x3A50, symSize: 0xB0 }
  - { offsetInCU: 0xB974, offset: 0xB974, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2660, symSize: 0x70 }
  - { offsetInCU: 0xBA30, offset: 0xBA30, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x26D0, symSize: 0xA0 }
  - { offsetInCU: 0xBB5B, offset: 0xBB5B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2770, symSize: 0x40 }
  - { offsetInCU: 0xBC51, offset: 0xBC51, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x27B0, symSize: 0x2B0 }
  - { offsetInCU: 0xBFF7, offset: 0xBFF7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2A60, symSize: 0xC0 }
  - { offsetInCU: 0xC13D, offset: 0xC13D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2B20, symSize: 0x10 }
  - { offsetInCU: 0xC1FF, offset: 0xC1FF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2B30, symSize: 0x220 }
  - { offsetInCU: 0xC4FC, offset: 0xC4FC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2D50, symSize: 0x10 }
  - { offsetInCU: 0xC559, offset: 0xC559, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2D60, symSize: 0x3F0 }
  - { offsetInCU: 0xC9EA, offset: 0xC9EA, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA000, symBinAddr: 0x3150, symSize: 0x10 }
  - { offsetInCU: 0xCB16, offset: 0xCB16, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA010, symBinAddr: 0x3160, symSize: 0x770 }
  - { offsetInCU: 0xD2DE, offset: 0xD2DE, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA780, symBinAddr: 0x38D0, symSize: 0xB0 }
  - { offsetInCU: 0xD341, offset: 0xD341, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ObjectFree_objfree001_setTag, symObjAddr: 0xA830, symBinAddr: 0x3980, symSize: 0xC0 }
  - { offsetInCU: 0xD430, offset: 0xD430, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ObjectFree_objfree001_inform, symObjAddr: 0xA8F0, symBinAddr: 0x3A40, symSize: 0x10 }
  - { offsetInCU: 0xD46E, offset: 0xD46E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA9B0, symBinAddr: 0x3B00, symSize: 0x36A }
...
